import "core-js/modules/es.function.name.js";
import { createVNode as _createVNode, mergeProps as _mergeProps } from "vue";
import { defineComponent } from 'vue';
import { Sankey } from '@antv/g2plot';
import BaseChart from '../../components/base';
var SankeyChart = defineComponent({
  name: 'SankeyChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Sankey
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

SankeyChart.install = function (app) {
  app.component(SankeyChart.name, SankeyChart);
};

export default SankeyChart;