"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

require("core-js/modules/es.function.name.js");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _vue = require("vue");

var _g2plot = require("@antv/g2plot");

var _base = _interopRequireDefault(require("../../components/base"));

var GaugeChart = (0, _vue.defineComponent)({
  name: 'GaugeChart',
  setup: function setup(props, ctx) {
    return function () {
      return (0, _vue.createVNode)(_base.default, (0, _vue.mergeProps)({
        "chart": _g2plot.Gauge
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

GaugeChart.install = function (app) {
  app.component(GaugeChart.name, GaugeChart);
};

var _default = GaugeChart;
exports.default = _default;