import "core-js/modules/es.function.name.js";
import { createVNode as _createVNode, mergeProps as _mergeProps } from "vue";
import { defineComponent } from 'vue';
import { BidirectionalBar } from '@antv/g2plot';
import BaseChart from '../../components/base';
var BidirectionalBarChart = defineComponent({
  name: 'BidirectionalBarChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": BidirectionalBar
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

BidirectionalBarChart.install = function (app) {
  app.component(BidirectionalBarChart.name, BidirectionalBarChart);
};

export default BidirectionalBarChart;