import "core-js/modules/es.function.name.js";
import { createVNode as _createVNode, mergeProps as _mergeProps } from "vue";
import { defineComponent } from 'vue';
import { Liquid } from '@antv/g2plot';
import BaseChart from '../../components/base';
var LiquidChart = defineComponent({
  name: 'LiquidChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Liquid
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

LiquidChart.install = function (app) {
  app.component(LiquidChart.name, LiquidChart);
};

export default LiquidChart;